Bug 118000 - [UPDATE] www/mod_fastcgi to 2.4.4
Summary: [UPDATE] www/mod_fastcgi to 2.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-12 12:10 UTC by Yarodin
Modified: 2007-12-16 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (963 bytes, patch)
2007-11-12 12:10 UTC, Yarodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yarodin 2007-11-12 12:10:00 UTC
Update www/mod_fastcgi to actual version.

Fix: Apply patch and delete files/patch-apache22 wich commited to sources in 2.4.4:


Patch attached with submission follows:
Comment 1 Yarodin 2007-11-13 14:31:27 UTC
Update to 2.4.6
Changes since 2.4.4

  *) Fix a bug I introduced in 2.4.4 that broke dynamic application
      restarts.  Reported by [Yar <yarodin gmail.com>]

Howto update: Apply patch and delete files/patch-apache22 wich commited to sources since 2.4.4:


--- Makefile.orig       2006-04-05 11:34:21.000000000 +0600
+++ Makefile            2007-11-13 18:51:46.000000000 +0500
@@ -6,11 +6,9 @@
 #

 PORTNAME=      mod_fastcgi
-PORTVERSION=   2.4.2
-PORTREVISION=  1
+PORTVERSION=   2.4.6
 CATEGORIES=    www
-MASTER_SITES=  ftp://ftp.holywar.net/pub/FreeBSD/ \
-               http://www.fastcgi.com/dist/
+MASTER_SITES=  http://www.fastcgi.com/dist/

 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       A fast-cgi module for Apache
--- distinfo.orig       2006-01-24 08:13:20.000000000 +0500
+++ distinfo            2007-11-13 18:55:46.000000000 +0500
@@ -1,3 +1,3 @@
-MD5 (mod_fastcgi-2.4.2.tar.gz) = e994414304b535cb99e10b7d1cad1d1e
-SHA256 (mod_fastcgi-2.4.2.tar.gz) = 864846fa025741bac88290e204dbb17e5be534990cc6c7218342edac58d13615
-SIZE (mod_fastcgi-2.4.2.tar.gz) = 98295
+MD5 (mod_fastcgi-2.4.6.tar.gz) = a21a613dd5dacf4c8ad88c8550294fed
+SHA256 (mod_fastcgi-2.4.6.tar.gz) = a5a887eecc8fe13e4cb1cab4d140188a3d2b5e6f337f8a1cce88ca441ddbe689
+SIZE (mod_fastcgi-2.4.6.tar.gz) = 100230
--- pkg-descr.orig      2003-06-15 21:12:02.000000000 +0600
+++ pkg-descr           2007-11-13 19:03:47.000000000 +0500
@@ -5,5 +5,4 @@
 See the docs for more details.

 --
-Ports by JunSeon Oh <hollywar@mail.holywar.net>
 WWW: http://www.fastcgi.com/
Comment 2 Pav Lucistnik freebsd_committer 2007-12-16 12:22:01 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2007-12-16 12:25:13 UTC
pav         2007-12-16 12:25:04 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_fastcgi      Makefile distinfo pkg-descr 
  Removed files:
    www/mod_fastcgi/files patch-apache22 
  Log:
  - Update to 2.4.6
  
  PR:             ports/118000
  Submitted by:   Yar <yarodin@gmail.com>
  
  Revision  Changes    Path
  1.24      +2 -4      ports/www/mod_fastcgi/Makefile
  1.10      +3 -3      ports/www/mod_fastcgi/distinfo
  1.2       +0 -43     ports/www/mod_fastcgi/files/patch-apache22 (dead)
  1.4       +0 -2      ports/www/mod_fastcgi/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"